<?php
Iimport('user');
class Exam_User extends User {
	
	function __construct() {
		
		$_user_config_user = array(
			'uniqueid' => 'username',
			'uchash' => $GLOBALS['rtc']['passport_hash'],
			'prikey' => 'uid',
			'table' => '##__exam_passport',
			'priv' => 'privkey',
			'ucpp' => $GLOBALS['rtc']['passport_ucpp'] ? $GLOBALS['rtc']['passport_ucpp'] :'UC_P__',	
			'psmethod'=>$GLOBALS['rtc']['passport_psmethod'] ? $GLOBALS['rtc']['passport_psmethod'] :'md5',
			'usecookie' => true,
			'mainserv' => false,
			'easycheck' => false,
			'uctime' => $GLOBALS['rtc']['passport_uctime'] ? $GLOBALS['rtc']['passport_uctime'] :10,
			'psckmethod' => $GLOBALS['rtc']['passport_psckmethod'] ? $GLOBALS['rtc']['passport_psckmethod'] :'',
			'ucpre' => $GLOBALS['rtc']['passport_ucpre'] ? $GLOBALS['rtc']['passport_ucpre'] :'',
			'domain' => $GLOBALS['rtc']['domain'],
			'ctused' => true,
			'mainuse' => true,
		);
		$this->UpperClass = 'PassPort_User';
		$this->SameServer = $GLOBALS['base_config']['server_independ'] ? 0 : 1;
		parent::__construct($_user_config_user);
	}
	
	function Exam_User() {
		$this->__construct();
	}
}
?>